<style>
  #open-pixel-form {
    background-color: #ff0000;
    color: #ffffff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 15px;
    cursor: pointer;
  }

  .wrap {
    margin-top: 20px;
  }

  .wp-list-table {
    margin-top: 20px;
    border-radius: 10px 10px 0 0;
  }

  .header {
    display: flex;
    justify-content: space-between;
  }

  .header h1 {
    font-weight: bold;
    font-weight: 25px;
  }

  .switch {
    position: relative;
    display: inline-block;
    width: 54px;
    height: 30px;
  }

  /* Hide the default checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  /* Create the slider */
  .slider {
    position: absolute;
    cursor: default;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    border-radius: 30px;
    transition: 0.4s;
  }

  /* Rounded sliders */
  .slider.round {
    border-radius: 30px;
  }

  /* Checked styles */
  .switch input:checked+.slider {
    background-color: #7ab34c;
    /* Blue when checked */
  }

  /* Transition effect */
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 0px;
    bottom: 2px;
    background-color: white;
    border-radius: 50%;
    transition: 0.4s;
  }

  input:checked+.slider:before {
    transform: translateX(26px);
  }

  .wp-list-table td {
    vertical-align: middle;
    font-size: 14px;
  }

  .wp-list-table th {
    font-size: 16px;
  }
</style>

<script>
  jQuery(document).ready(function($) {
    // Get the button and the form
    var openPixelFormButton = $("#open-pixel-form");
    var pixelForm = $("#pixel-form");
    var editButtons = $(".edit-pixel");
    var formContainer = $("#pixel-form-container");

    // Initially hide the form
    pixelForm.hide();

    // Add click event listener to the button
    openPixelFormButton.on("click", function() {
      // Toggle the visibility of the form
      pixelForm.toggle();
    });

  });
</script>
<div class="wrap">
  <div class="header">
    <h1>Pixel management</h1>
    <button id="open-pixel-form">Add new</button>
  </div>
  <?php include(plugin_dir_path(__FILE__) . 'form-pixel.php'); ?>

  <table class="wp-list-table widefat fixed striped">
    <thead>
      <tr>
        <th>Pixel Name</th>
        <th>Pixel ID</th>
        <th>Status</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      <?php
      $pixels = ctecd_get_tiktok_pixel();

      // Display each pixel row
      foreach ($pixels as $pixel) {
      ?>
        <tr>
          <td><?php esc_html_e($pixel['pixel_name'], 'plugin-slug'); ?></td>
          <td><?php esc_html_e($pixel['pixel_id'], 'plugin-slug'); ?></td>
          <td>
            <label class="switch">
              <input type="checkbox" <?php echo esc_attr($pixel['pixel_status'] ? 'checked' : ''); ?> data-pixel-id="<?php echo esc_attr($pixel['id']); ?>" disabled>
              <span class="slider round"></span>
            </label>
          </td>
          <td>
            <a href="<?php echo esc_url(admin_url('admin.php?page=tiktok-pixel&action=delete&id=' . $pixel['id'])); ?>">
              <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" width="30" height="30" viewBox="0 0 48 48">
                <linearGradient id="i9gMV8RPRiXBVRoCh9BlCa_BJkQWseLWhe4_gr1" x1="24" x2="24" y1="16.026" y2="18.015" gradientUnits="userSpaceOnUse">
                  <stop offset="0" stop-color="#912fbd"></stop>
                  <stop offset="1" stop-color="#9332bf"></stop>
                </linearGradient>
                <path fill="url(#i9gMV8RPRiXBVRoCh9BlCa_BJkQWseLWhe4_gr1)" d="M41,18H7c-0.552,0-1-0.448-1-1v0c0-0.552,0.448-1,1-1h34c0.552,0,1,0.448,1,1v0	C42,17.552,41.552,18,41,18z"></path>
                <linearGradient id="i9gMV8RPRiXBVRoCh9BlCb_BJkQWseLWhe4_gr2" x1="24" x2="24" y1="42.885" y2="10.323" gradientUnits="userSpaceOnUse">
                  <stop offset="0" stop-color="#912fbd"></stop>
                  <stop offset="1" stop-color="#9332bf"></stop>
                </linearGradient>
                <path fill="url(#i9gMV8RPRiXBVRoCh9BlCb_BJkQWseLWhe4_gr2)" d="M39,11v30c0,1.105-0.895,2-2,2H11c-1.105,0-2-0.895-2-2V11H39z"></path>
                <linearGradient id="i9gMV8RPRiXBVRoCh9BlCc_BJkQWseLWhe4_gr3" x1="24" x2="24" y1="7.171" y2="14.301" gradientUnits="userSpaceOnUse">
                  <stop offset="0" stop-color="#c965eb"></stop>
                  <stop offset="1" stop-color="#c767e5"></stop>
                </linearGradient>
                <path fill="url(#i9gMV8RPRiXBVRoCh9BlCc_BJkQWseLWhe4_gr3)" d="M8,11v-1c0-1.657,1.343-3,3-3h26c1.657,0,3,1.343,3,3v1H8z"></path>
                <linearGradient id="i9gMV8RPRiXBVRoCh9BlCd_BJkQWseLWhe4_gr4" x1="24" x2="24" y1="4.04" y2="7.022" gradientUnits="userSpaceOnUse">
                  <stop offset="0" stop-color="#ae4cd5"></stop>
                  <stop offset="1" stop-color="#ac4ad5"></stop>
                </linearGradient>
                <path fill="url(#i9gMV8RPRiXBVRoCh9BlCd_BJkQWseLWhe4_gr4)" d="M28,4h-8c-1.105,0-2,0.895-2,2v1h12V6C30,4.895,29.105,4,28,4z"></path>
                <linearGradient id="i9gMV8RPRiXBVRoCh9BlCe_BJkQWseLWhe4_gr5" x1="15" x2="33" y1="27" y2="27" gradientUnits="userSpaceOnUse">
                  <stop offset="0" stop-color="#ae4cd5"></stop>
                  <stop offset="1" stop-color="#ac4ad5"></stop>
                </linearGradient>
                <rect width="18" height="32" x="15" y="11" fill="url(#i9gMV8RPRiXBVRoCh9BlCe_BJkQWseLWhe4_gr5)"></rect>
              </svg>
            </a>
          </td>
        </tr>
      <?php
      }
      ?>
    </tbody>
  </table>
</div>